Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.metropolis
Class MetropolisPathMutator

    java.lang.Object
      de.grogra.ray2.metropolis.MetropolisPathMutator

    public class MetropolisPathMutator

extends java.lang.Object

Field Summary
`static java.lang.String` | `STRAT1`
`static java.lang.String` | `STRAT2`
`static java.lang.String` | `STRAT3`
`static java.lang.String` | `STRAT4`

Constructor Summary
`MetropolisPathMutator(MetropolisProcessor metroProc)`

Method Summary
`MetropolisStrategy` | `getLastStrategy()`
`int` | `getMutationStrategyCount()`
`java.util.ArrayList<java.lang.String>` | `getStatistics()`
`float` | `mutatePath(CombinedPathValues actualPath, CombinedPathValues mutatedPath)`
`void` | `pathChanged()`
`void` | `resetAll()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRAT1

    public static final java.lang.String STRAT1

See Also:
  Constant Field Values

### STRAT2

    public static final java.lang.String STRAT2

See Also:
  Constant Field Values

### STRAT3

    public static final java.lang.String STRAT3

See Also:
  Constant Field Values

### STRAT4

    public static final java.lang.String STRAT4

See Also:
  Constant Field Values

Constructor Detail

### MetropolisPathMutator

    public MetropolisPathMutator(MetropolisProcessor metroProc)

Method Detail

### getLastStrategy

    public MetropolisStrategy getLastStrategy()

### getMutationStrategyCount

    public int getMutationStrategyCount()

### getStatistics

    public java.util.ArrayList<java.lang.String> getStatistics()

### mutatePath

    public float mutatePath(CombinedPathValues actualPath,
                            CombinedPathValues mutatedPath)

### pathChanged

    public void pathChanged()

### resetAll

    public void resetAll()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD